Parsoid: <source> extension blocks not wrapped in a <div typeof="mw:Object/Extension/syntaxhighlight">
Closed, ResolvedPublic

Description

<syntaxhighlight> blocks are wrapped in <div>s with a typeof set to "mw:Object/Extension/syntaxhighlight"; however, <source> ones don't get this treatment, and just appear as <pre>s in the article text (despite being an alias for <syntaxhighlight> now).

Compare http://parsoid.wmflabs.org/en/Foobar?oldid=551574689 with http://parsoid.wmflabs.org/en/Foobar?oldid=551570966 for the difference.


Version: unspecified
Severity: normal

bzimport added a project: Parsoid.Via ConduitNov 22 2014, 1:32 AM
bzimport set Reference to bz47579.
Jdforrester-WMF created this task.Via LegacyApr 23 2013, 10:20 PM
gerritbot added a comment.Via ConduitApr 23 2013, 10:46 PM

Related URL: https://gerrit.wikimedia.org/r/60600 (Gerrit Change Ifc8776419755b669d712b5bb028633cdd60e8c41)

gerritbot added a comment.Via ConduitApr 24 2013, 4:19 AM

https://gerrit.wikimedia.org/r/60600 (Gerrit Change Ifc8776419755b669d712b5bb028633cdd60e8c41) | change APPROVED and MERGED [by jenkins-bot]

Jdforrester-WMF added a comment.Via ConduitApr 24 2013, 4:43 AM

Now merged; thank you all. :-)

(Longer term we'll want to reverse this once we've scoured the wikis of <source> tags.)

Raymond added a comment.Via ConduitApr 24 2013, 7:56 AM
  • Bug 47454 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitJun 26 2013, 6:17 PM

Related URL: https://gerrit.wikimedia.org/r/70664 (Gerrit Change I0de1e49e2fdff76874ca48f88d8b8bb4ff75e923)

Aklapper added a comment.Via ConduitJul 4 2013, 10:33 AM

[Parsoid component reorg by merging JS/General and General. See bug 50685 for more information. Filter bugmail on this comment. parsoidreorg20130704]

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.